How to update

Warning

Be sure to read the release notes, they might contain important information. And have a backup.

If you installed it with elabctl

elabctl update

If you installed it with git

To update, cd in the elabftw folder and do:

git pull
# see https://getcomposer.org to install composer
composer install --no-dev

If you are using Docker without elabctl

In the directory where you have the docker-compose.yml file:

docker-compose pull
docker-compose down
docker-compose up -d

If you installed it from a .zip or .tar.gz archive

  1. Get the latest archive
  2. Unpack it on your server, overwriting all the files.
  3. Install composer dependencies:
# see https://getcomposer.org to install composer
composer install --no-dev